// IMInterface.aidl
package com.zhenai.android.im.aidl;

// Declare any non-default types here with import statements
import com.zhenai.android.im.aidl.FilterInterface;
import com.zhenai.android.im.aidl.IMLoginCallback;

interface IMInterface {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */

    void addNotifyForIM(String filterTag,int type,FilterInterface filter);

    String sendMsg(String receiverId, String msg);
    
    void createMultiUserChat(String roomId,String nickName,String roomPsd,int isPasswordProtected);
    
    String sendMessageForMultiUserChat(String roomId,String text);
    
    void sendUnMessageForMultiUserChat(String roomId,String text,String msgId);
    
    void leave(String roomId);

    void removeNotify(String filterTag);

    void connect(String userName, String password, String serviceName, String host, String port,IMLoginCallback callback);

    void disconnect();
}
